--Let's Restore the base full backup.
USE MASTER
GO
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_FULL_DEMODIFF.BAK' WITH NORECOVERY, REPLACE
RESTORE DATABASE BackupSample WITH RECOVERY
--VIEW SALES
USE BACKUPSAMPLE
GO
select top 100 *
from Sales order by SalesOrderID DESC


--Let's restore the FULL and DIFF
USE MASTER
GO
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_FULL_DEMODIFF.BAK' WITH NORECOVERY, REPLACE
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\backups\BACKUPSAMPLE_DIFF.BAK' WITH NORECOVERY
RESTORE DATABASE BackupSample WITH RECOVERY
--VIEW SALES
USE BACKUPSAMPLE
GO
select top 100 *
from Sales order by SalesOrderID DESC


--Let's restore the FULL, DIFF, and Log3
USE MASTER
GO
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_FULL_DEMODIFF.BAK' WITH NORECOVERY, REPLACE
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\backups\BACKUPSAMPLE_DIFF.BAK' WITH NORECOVERY
RESTORE LOG BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_DEMODIFF_LOG3.BAK' WITH NORECOVERY
RESTORE DATABASE BackupSample WITH RECOVERY
--VIEW SALES
USE BACKUPSAMPLE
GO
select top 100 *
from Sales order by SalesOrderID DESC

--Now let's restore the whole list.
USE MASTER
GO
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_FULL_DEMODIFF.BAK' WITH NORECOVERY, REPLACE
RESTORE DATABASE BackupSample FROM DISK = 'C:\KNOWBACKUPS\backups\BACKUPSAMPLE_DIFF.BAK' WITH NORECOVERY
RESTORE LOG BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_DEMODIFF_LOG3.BAK' WITH NORECOVERY
RESTORE LOG BackupSample FROM DISK = 'C:\KNOWBACKUPS\BACKUPS\BACKUPSAMPLE_DEMODIFF_LOG4.BAK' WITH NORECOVERY
RESTORE DATABASE BackupSample WITH RECOVERY
--VIEW SALES
USE BACKUPSAMPLE
GO
select top 100 *
from Sales order by SalesOrderID DESC

